# The actual path to the root directory of the website.
# You do not need to specify the ending slash ('/' or '\')
$DOCUMENT_ROOT = $ENV{'DOCUMENT_ROOT'};

# The URL of the website (the URL of the directory specified in the variable $DOCUMENT_ROOT).
# You do not need to specify the ending slash '/'
$HTTP_HOST = "http://$ENV{'HTTP_HOST'}";

# When Indexsoft Site-UP creates files, it will automatically set the access rights to those
# files according to the value specified in this variable
$CHMODFILES = '0644';

# The same as $CHMODFILES, but sets the access right to directories
$CHMODDIRS = '0755';

# The list of text file extensions separated by commas and without a dot before the extension.
# If the extension of a file coincides with an extension from this list, the text editor will be
# launched by default when editing such a file
$TEXTFILES = 'txt,cgi,pl,pm,inc,php,css,js';

# The list of HTML file extensions separated by commas and without a dot before the extension.
# If the extension of a file coincides with an extension from this list, the WYSIWYG editor will be
# launched by default when editing such a file
$HTMLFILES = 'html,htm';

# The list of image file extensions separated by commas and without a dot before the extension.
# If the extension of a file coincides with an extension from this list, the pre-view mode will
# be automatically started for such files. When using the WYSIWYG editor, the files having the
# extension specified in this variable can be inserted as images in the document edited at the moment
$IMGFILES = 'gif,jpg,png,jpeg';

# The list of file extensions separated by commas and without a dot before the extension, that will be
# ignored by Indexsoft Site-UP when viewing the list of files in a directory.
# Such files will not be shown in the file lists in the menu and in the main window of Indexsoft Site-UP.
# But these files will be shown in the file search results in case the file name
# coincides with the submitted search mask
$IGNOREFILES = '';

# The same as $IGNOREFILES, but contains the names of directories
$IGNOREDIRS = '';

# Indexsoft Site-UP allows you to quickly rename or copy any file to the file with the same name,
# but with the extension specified in this variable
$BAKEXT = '.bak';

# In the 'templates' directory (in that directory where Indexsoft Site-UP is installed) templates for
# new files are stored. In this directory you can store as many templates for various files
# (html, php, perl, javascripts or any other) as you consider necessary. The variable $NEWFILETEMPLATE
# will contain the file name of one of these templates, as a rule, the most frequently used one
$NEWFILETEMPLATE = 'empty.html';

# If this variable is set to '1', Indexsoft Site-UP will prompt you to synchronize the directories
# selected in the menu and in the main window each time you click in the main window. There will be
# no prompt to synchronize directories, if you select one and the same directory both in the menu
# and in the main window. This mode will be of use to the beginners, because Indexsoft Site-UP uses
# the directory selected in the menu as the target directory for the basic file operations.
# If the variable is set to '0', Indexsoft Site-Up will not prompt you to synchronize the directories
$PROMPTTOSYNC = '1';

# In Indexsoft Site-UP one can browse through directories using both the menu and the main window.
# If you are browsing in the main window and this variable is set to '1', when the directory is changed
# in the main window, it will also be changed in the menu. This mode will also be useful for beginners.
# If the variable is set to '0', there will be no automatic synchronization of directories in the menu
# and in the main window
$CDMENU = '1';

# By default, the Indexsoft Site-Up menu is to the left side of the window. If the menu on your right is
# more comfortable for you to work with, set this variable to '1'
$RIGHTMENU = '0';

# This variable specifies the archiver and the keys for creating archives in a Windows OS. You should use
# the following key words as parameters: %archive_name% - the name of the archive and %files_list% - the
# list of files and directories to be archived.
$ADDARCHIVEWIN = '"c:\program files\winrar\rar.exe" a -inul -ep1 -y "%archive_name%" "%files_list%"';

# The same as $ADDARCHIVEWIN, but the archiver for a *nix OS is specified. Indexsoft Site-UP will
# automatically determine in which OS it is running and will use the corresponding archiver
$ADDARCHIVENIX = 'zip -ryq "%archive_name%" "%files_list%"';

# This hash contains extensions of archive files and commands for unpacking archive files in a Windows OS
# having these extensions. As well as for the variables $ADDARCHIVENIX and $ADDARCHIVEWIN, you should
# specify the key words %archive_name% - the name of the archive and %dir_name% - the target directory for
# the process of unpacking. Files with the extensions included in this hash will be automatically considered
# archive and the unpacking operation will be available for them
%UNPACKWIN = (
	'rar' => '"c:\program files\winrar\unrar.exe" e -inul -y -c- "%archive_name%" "%dir_name%"',
	'zip' => '"c:\program files\winzip\wzunzip.exe" -d -o "%archive_name%" "%dir_name%" >nul',
);

# The same as %UNPACKWIN, but applied in a *nix OS
%UNPACKNIX = (
	'tar.gz' => 'tar -zxf "%archive_name%" -C "%dir_name%"',
	'tgz' => 'tar -zxf "%archive_name%" -C "%dir_name%"',
	'zip' => 'unzip -qqo "%archive_name%" -d "%dir_name%"',
);

# Indexsoft Site-Up can send files via e-mail. By default, the address specified in this variable will be used,
# though you can always change it before sending files.
$EMAIL = $ENV{'SERVER_ADMIN'};

# In this variable you must specify the URL to the directory where the editor is installed. By default, this variable
# equals 'htmlarea', but if you installed the editor to a directory different from the directory of the Indexsoft Site-UP
# installation, you must specify in this variable the correct URL to it. For example, if you have installed Indexsoft
# Site-UP to the 'cgi-bin' directory of your website, the HTMLArea editor (the 'htmlarea' directory) should be copied
# to the document root directory of the website. In that case the value of the variable $HTMLAREAURL will be '/htmlarea'.
# (the use of http://my_domain is optional)
$HTMLAREAURL = 'htmlarea';

# If your site has an external stylesheet, specify its URL in this variable. This will allows you to view the documents
# edited at the moment exactly the same as they look on the pages of your website
$MYSTYLESHEETURL = '';

# This variable describes styles that are defined in the external stylesheet so that they could be used when editing a page
# (see the variable $MYSTYLESHEETURL). Even if the URL of the stylesheet is specified in the variable $MYSTYLESHEETURL, you
# must prepare the list of styles for the editor toolbar to use the styles defined in that stylesheet when designing a page. 
#$MYSTYLESLIST = q{
#	custom_style1, headline
#	custom_style2, underline
#};
$MYSTYLESLIST = '';

# Additionally you can specify styles for the document editing window
$BODYSTYLE = 'background-color: #F2F2F2; font-family: "Arial";';

# These variables contain special keywords from the documents that will be edited in the WYSIWYG mode.
# Those key words denote the beginning and the end of the HTML fragment to be edited. If you use Indexsoft Site-UP for editing
# 'pure' HTML documents (containing only HTML code), these variables must have the values <body[^<>]*> and <\/body *>
# respectively (the default values), because it is the tags <body> and </body> that denote the body of an HTML document. On
# the other hand it is difficult to find a website consisting only of static HTML documents. For instance, if the site is
# build using the SSI technology, it is sure to have lines like this: <!--#include virtual="/ssi/header.html"--> and
# <!--#include virtual="/ssi/footer.html"-->. By providing the variables $STARTOFEDITABLECONTENT and $ENDOFEDITABLECONTENT
# with these values you can denote the HTML fragment, that is contained between these lines and available for editing in
# the WYSIWYG mode. Everything that is before the keyword specified in $STARTOFEDITABLECONTENT and after the keyword
# specified in $ENDOFEDITABLECONTENT will not get into the window of the WYSIWYG editor, but nevertheless,
# it will be available for editing in the text mode. Like in the previous example with SSI directives, your documents
# may contain HTML, Perl or PHP (depending on the document type) comments, that will constitute the values for these
# variables and denote HTML fragments contained in those documents. The values of the variables $STARTOFEDITABLECONTENT
# and $ENDOFEDITABLECONTENT are used in regular expressions
# $STARTOFEDITABLECONTENT = '<!--#include virtual="/ssi/header.html"-->'; 
# $ENDOFEDITABLECONTENT = '<!--#include virtual="/ssi/footer.html"-->'; 
$STARTOFEDITABLECONTENT = '<body[^<>]*>'; 
$ENDOFEDITABLECONTENT = '<\/body *>';

# If there occurs an error in the external programs Indexsoft Site-UP has launched (e.g. archivers, files or commands) and
# if the variable is set to '1', you will see the error message in the browser window. Set this variable to '0' if Indexsoft
# Site-UP is running on the computer with OS the Windows 9X or ME OS (not NT).
$TAKEERRORS = '1';

# The parameters of the server via which mail is sent. The name of the host and the port respectively.
# As the name of the server, (the variable $SMTP) you can specify the name of an external program,
# e.g.: '|/usr/sbin/sendmail -t'. In this case the '|' symbol at the beginning of the line is obligatory
$SMTP = 'localhost';
$SMTPPort = '25';

# The parameters for accessing an FTP server. These parameters will be used by default when sending files
# to an FTP server using the FTP protocol. Nevertheless, before sending you can always change any
# of these parameters
$FTPHOST = 'localhost';
$FTPPORT = '21';
$FTPLOGIN = 'ftp';
$FTPPASSWORD = 'ftp@mydomain.com';
$FTPDIR = '/upload';
$FTPPASSIVE = '0';

1;

